curl --request GET \
--url https://apiweb.mile.app/api/v3/flow/{flowName}/fields \
--header 'Authorization: Bearer <token>'{
"status": true,
"message": "Success",
"flowFields": [
{
"component": "input",
"id": "customerName-1",
"title": "Customer Name",
"inputType": "string",
"default": null,
"routeAs": "VisitName",
"showAs": "title",
"required": false,
"visible": true
},
{
"component": "input",
"id": "customerAddress",
"title": "Customer Address",
"inputType": "string",
"default": null,
"routeAs": "Address",
"showAs": "content",
"required": false,
"visible": true
},
{
"component": "input",
"id": "customerCoordinate",
"title": "Customer Coordinate",
"inputType": "string",
"default": null,
"routeAs": "Coordinate",
"showAs": "expectedCoordinate",
"required": false,
"useGeoLock": false,
"radius": null,
"geoLockTrigger": null,
"visible": true,
"useGeocode": true,
"geocodeAs": "customerAddress"
},
{
"component": "bill",
"id": "orderPrice-1",
"title": "Order Price",
"addNew": true,
"required": false,
"value": null,
"editable": [],
"costs": [
"Discount",
"Shipping Cost"
],
"visible": true,
"masterItems": [
{
"name": "Snack",
"unit_price": 10000
},
{
"name": "Cold Drink",
"unit_price": 5000
},
{
"name": "Bread",
"unit_price": 7000
},
{
"name": "Egg",
"unit_price": 2500
},
{
"name": "Rice",
"unit_price": 65000
}
],
"masterCosts": [
{
"type": "number",
"name": "Discount",
"amount": 10000
},
{
"type": "number",
"name": "Shipping Cost",
"amount": 7000
}
]
},
{
"component": "input",
"id": "weight",
"title": "Weight",
"inputType": "number",
"default": null,
"routeAs": "Constraint.weight",
"showAs": null,
"required": false,
"visible": true
},
{
"component": "input",
"id": "length",
"title": "Length",
"inputType": "number",
"default": null,
"routeAs": "Constraint.volume",
"showAs": null,
"required": false,
"visible": true
},
{
"component": "input",
"id": "visitTime",
"title": "Visit time",
"inputType": "number",
"default": null,
"routeAs": "VisitDuration",
"showAs": null,
"required": false,
"visible": true
},
{
"component": "select",
"id": "payment",
"title": "Payment",
"min": 0,
"max": "3",
"default": null,
"routeAs": "Tag",
"showAs": null,
"options": [
"dana",
"ovo",
"gopay",
"qris"
],
"inputType": "string",
"onSelect": [],
"visible": true
},
{
"component": "view",
"id": "customerName",
"inputType": "string",
"title": "Customer Name",
"value": "$customerName-1",
"visible": true
},
{
"component": "view",
"id": "customerAddress-1",
"inputType": "string",
"title": "Customer Address",
"value": "$customerAddress",
"visible": true
},
{
"component": "select",
"id": "confirmPayment",
"title": "Confirm Payment",
"min": 0,
"max": 1,
"default": null,
"routeAs": null,
"showAs": null,
"options": [
"COD",
"NON COD"
],
"onSelect": [],
"inputType": "string",
"visible": true
},
{
"component": "select",
"id": "deliveryStatus",
"title": "Delivery Status",
"min": 0,
"max": 1,
"default": null,
"routeAs": null,
"showAs": null,
"options": [
"Failed",
"Success"
],
"onSelect": [
{
"options": [
"Success"
],
"action": "hide",
"componentAffected": [
"reason"
]
},
{
"options": [
"Failed"
],
"action": "show",
"componentAffected": [
"reason"
]
},
{
"options": [
"Success"
],
"action": "show",
"componentAffected": [
"orderPrice",
"receiverName",
"signature1",
"proofOfDeliveryPhoto"
]
},
{
"options": [
"Failed"
],
"action": "hide",
"componentAffected": [
"orderPrice",
"receiverName",
"signature1",
"proofOfDeliveryPhoto"
]
}
],
"inputType": "string",
"visible": true
},
{
"component": "select",
"id": "reason",
"title": "Reason",
"min": 0,
"max": "5",
"default": null,
"routeAs": null,
"showAs": null,
"options": [
"Wrong address",
"Address not found",
"Order or product broken",
"Buyer want to change order",
"Buyer not at home"
],
"onSelect": [],
"inputType": "string",
"visible": false
},
{
"component": "bill",
"id": "orderPrice",
"title": "Order Price",
"addNew": true,
"required": false,
"value": "$orderPrice-1",
"masterItems": [
{
"name": "Snack",
"unit_price": 10000
},
{
"name": "Cold Drink",
"unit_price": 5000
},
{
"name": "Bread",
"unit_price": 7000
},
{
"name": "Egg",
"unit_price": 2500
},
{
"name": "Rice",
"unit_price": 65000
}
],
"masterCosts": [
{
"type": "number",
"name": "Discount",
"amount": 10000
},
{
"type": "number",
"name": "Shipping Cost",
"amount": 7000
}
],
"costs": [
"Discount",
"Shipping Cost"
],
"visible": true,
"qtyRule": null
},
{
"component": "input",
"id": "receiverName",
"title": "Receiver Name",
"inputType": "string",
"default": null,
"routeAs": null,
"showAs": null,
"required": false,
"visible": true
},
{
"component": "photo",
"id": "proofOfDeliveryPhoto",
"title": "Proof Of Delivery (photo)",
"min": 0,
"max": "1",
"visible": true,
"categories": [],
"watermark": false,
"selectGallery": false
},
{
"component": "signature",
"id": "signature1",
"required": false,
"title": "Signature",
"visible": true
}
],
"reservedKey": [
"_id",
"flow",
"flowId",
"organizationId",
"hub",
"hubId",
"isDeleted",
"title",
"content",
"label",
"orderIndex",
"status",
"startTime",
"endTime",
"updatedTime",
"assignee",
"assignedTo",
"assignedBy",
"assignedTime",
"createdBy",
"createdFrom",
"createdTime",
"doneBy",
"doneCoordinate",
"doneTime",
"openTaskTime",
"waitingTime",
"travelDuration",
"duration",
"distance",
"eta",
"etd",
"assignedVehicleId",
"assignedVehicle",
"routePlannedOrder",
"expectedCoordinate",
"refId",
"createdCoordinate",
"organization",
"isSample",
"doneFrom",
"expectedDoneTime",
"geoLock",
"geoLockTrigger",
"idLocal",
"idleDuration",
"updatedBy",
"useGeoLock",
"syncedTime",
"histories",
"Handover",
"routingResultId",
"parentTaskId",
"autoSplit",
"splitNumber",
"useVisitGroup",
"visitGroup",
"visitGroupPriority",
"appVersion",
"deviceInformation",
"automationRefId",
"automationRefType",
"taskType",
"parentId",
"subId",
"workflow"
],
"is_cache": false
}curl --request GET \
--url https://apiweb.mile.app/api/v3/flow/{flowName}/fields \
--header 'Authorization: Bearer <token>'{
"status": true,
"message": "Success",
"flowFields": [
{
"component": "input",
"id": "customerName-1",
"title": "Customer Name",
"inputType": "string",
"default": null,
"routeAs": "VisitName",
"showAs": "title",
"required": false,
"visible": true
},
{
"component": "input",
"id": "customerAddress",
"title": "Customer Address",
"inputType": "string",
"default": null,
"routeAs": "Address",
"showAs": "content",
"required": false,
"visible": true
},
{
"component": "input",
"id": "customerCoordinate",
"title": "Customer Coordinate",
"inputType": "string",
"default": null,
"routeAs": "Coordinate",
"showAs": "expectedCoordinate",
"required": false,
"useGeoLock": false,
"radius": null,
"geoLockTrigger": null,
"visible": true,
"useGeocode": true,
"geocodeAs": "customerAddress"
},
{
"component": "bill",
"id": "orderPrice-1",
"title": "Order Price",
"addNew": true,
"required": false,
"value": null,
"editable": [],
"costs": [
"Discount",
"Shipping Cost"
],
"visible": true,
"masterItems": [
{
"name": "Snack",
"unit_price": 10000
},
{
"name": "Cold Drink",
"unit_price": 5000
},
{
"name": "Bread",
"unit_price": 7000
},
{
"name": "Egg",
"unit_price": 2500
},
{
"name": "Rice",
"unit_price": 65000
}
],
"masterCosts": [
{
"type": "number",
"name": "Discount",
"amount": 10000
},
{
"type": "number",
"name": "Shipping Cost",
"amount": 7000
}
]
},
{
"component": "input",
"id": "weight",
"title": "Weight",
"inputType": "number",
"default": null,
"routeAs": "Constraint.weight",
"showAs": null,
"required": false,
"visible": true
},
{
"component": "input",
"id": "length",
"title": "Length",
"inputType": "number",
"default": null,
"routeAs": "Constraint.volume",
"showAs": null,
"required": false,
"visible": true
},
{
"component": "input",
"id": "visitTime",
"title": "Visit time",
"inputType": "number",
"default": null,
"routeAs": "VisitDuration",
"showAs": null,
"required": false,
"visible": true
},
{
"component": "select",
"id": "payment",
"title": "Payment",
"min": 0,
"max": "3",
"default": null,
"routeAs": "Tag",
"showAs": null,
"options": [
"dana",
"ovo",
"gopay",
"qris"
],
"inputType": "string",
"onSelect": [],
"visible": true
},
{
"component": "view",
"id": "customerName",
"inputType": "string",
"title": "Customer Name",
"value": "$customerName-1",
"visible": true
},
{
"component": "view",
"id": "customerAddress-1",
"inputType": "string",
"title": "Customer Address",
"value": "$customerAddress",
"visible": true
},
{
"component": "select",
"id": "confirmPayment",
"title": "Confirm Payment",
"min": 0,
"max": 1,
"default": null,
"routeAs": null,
"showAs": null,
"options": [
"COD",
"NON COD"
],
"onSelect": [],
"inputType": "string",
"visible": true
},
{
"component": "select",
"id": "deliveryStatus",
"title": "Delivery Status",
"min": 0,
"max": 1,
"default": null,
"routeAs": null,
"showAs": null,
"options": [
"Failed",
"Success"
],
"onSelect": [
{
"options": [
"Success"
],
"action": "hide",
"componentAffected": [
"reason"
]
},
{
"options": [
"Failed"
],
"action": "show",
"componentAffected": [
"reason"
]
},
{
"options": [
"Success"
],
"action": "show",
"componentAffected": [
"orderPrice",
"receiverName",
"signature1",
"proofOfDeliveryPhoto"
]
},
{
"options": [
"Failed"
],
"action": "hide",
"componentAffected": [
"orderPrice",
"receiverName",
"signature1",
"proofOfDeliveryPhoto"
]
}
],
"inputType": "string",
"visible": true
},
{
"component": "select",
"id": "reason",
"title": "Reason",
"min": 0,
"max": "5",
"default": null,
"routeAs": null,
"showAs": null,
"options": [
"Wrong address",
"Address not found",
"Order or product broken",
"Buyer want to change order",
"Buyer not at home"
],
"onSelect": [],
"inputType": "string",
"visible": false
},
{
"component": "bill",
"id": "orderPrice",
"title": "Order Price",
"addNew": true,
"required": false,
"value": "$orderPrice-1",
"masterItems": [
{
"name": "Snack",
"unit_price": 10000
},
{
"name": "Cold Drink",
"unit_price": 5000
},
{
"name": "Bread",
"unit_price": 7000
},
{
"name": "Egg",
"unit_price": 2500
},
{
"name": "Rice",
"unit_price": 65000
}
],
"masterCosts": [
{
"type": "number",
"name": "Discount",
"amount": 10000
},
{
"type": "number",
"name": "Shipping Cost",
"amount": 7000
}
],
"costs": [
"Discount",
"Shipping Cost"
],
"visible": true,
"qtyRule": null
},
{
"component": "input",
"id": "receiverName",
"title": "Receiver Name",
"inputType": "string",
"default": null,
"routeAs": null,
"showAs": null,
"required": false,
"visible": true
},
{
"component": "photo",
"id": "proofOfDeliveryPhoto",
"title": "Proof Of Delivery (photo)",
"min": 0,
"max": "1",
"visible": true,
"categories": [],
"watermark": false,
"selectGallery": false
},
{
"component": "signature",
"id": "signature1",
"required": false,
"title": "Signature",
"visible": true
}
],
"reservedKey": [
"_id",
"flow",
"flowId",
"organizationId",
"hub",
"hubId",
"isDeleted",
"title",
"content",
"label",
"orderIndex",
"status",
"startTime",
"endTime",
"updatedTime",
"assignee",
"assignedTo",
"assignedBy",
"assignedTime",
"createdBy",
"createdFrom",
"createdTime",
"doneBy",
"doneCoordinate",
"doneTime",
"openTaskTime",
"waitingTime",
"travelDuration",
"duration",
"distance",
"eta",
"etd",
"assignedVehicleId",
"assignedVehicle",
"routePlannedOrder",
"expectedCoordinate",
"refId",
"createdCoordinate",
"organization",
"isSample",
"doneFrom",
"expectedDoneTime",
"geoLock",
"geoLockTrigger",
"idLocal",
"idleDuration",
"updatedBy",
"useGeoLock",
"syncedTime",
"histories",
"Handover",
"routingResultId",
"parentTaskId",
"autoSplit",
"splitNumber",
"useVisitGroup",
"visitGroup",
"visitGroupPriority",
"appVersion",
"deviceInformation",
"automationRefId",
"automationRefType",
"taskType",
"parentId",
"subId",
"workflow"
],
"is_cache": false
}Use a valid Bearer token to authenticate.
Name of the flow.
Example: Delivery, Field Sales